Package: groovy.transform.stc

## [Java] Class ThirdParam

- groovy.transform.stc.ThirdParam

- A hint used to instruct the type checker to pick the third parameter type. For example:

  `public <T,U,V> def doWith(T first, U second, V third, @ClosureParams(ThirdParam.class) Closure c) { ... }`

  This class has several inner classes that also helps picking generic argument types instead of the parameter type.

  Authors:
    Cédric Champeau
  Since:
    2.3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ThirdParam.Component` |
    `static class` | `ThirdParam.FirstGenericType` |
    `static class` | `ThirdParam.SecondGenericType` |
    `static class` | `ThirdParam.ThirdGenericType` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ThirdParam ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PickAnyArgumentHint` | `getParameterTypes`
    `class SingleSignatureClosureHint` | `getClosureSignatures, getParameterTypes`
    `class ClosureSignatureHint` | `findClassNode, getClosureSignatures, pickGenericType, pickGenericType`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ThirdParam()